/*
 * Copyright (c) 2017 N. Billard.
 */

package com.massa.mrules.extensions.dsl.bre.editor;

import com.massa.mrules.extensions.dsl.editor.GrammarLoader;
import com.massa.mrules.extensions.dsl.factory.ImportAutoCompleteGenerator;
import com.massa.mrules.extensions.dsl.factory.NativeLanguageFactory;

/**
 * Grammar loader implementation allowing to load MRL grammar at startup.
 */
public class GrammarLoaderImpl implements GrammarLoader {

	@Override
	public void load() {
		NativeLanguageFactory.load();
		ImportAutoCompleteGenerator.load();
	}

}
